For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList agent branches
        • POSTCreate agent branch
        • GETGet agent branch
        • PATCHUpdate agent branch
        • POSTMerge agent branch
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsBranches

Update agent branch

PATCH
/v1/convai/agents/:agent_id/branches/:branch_id
PATCH
/v1/convai/agents/:agent_id/branches/:branch_id
$curl -X PATCH https://api.elevenlabs.io/v1/convai/agents/agent_id/branches/branch_id \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "string",
3 "name": "string",
4 "agent_id": "string",
5 "description": "string",
6 "created_at": 1,
7 "last_committed_at": 1,
8 "is_archived": true,
9 "protection_status": "writer_perms_required",
10 "access_info": {
11 "is_creator": true,
12 "creator_name": "John Doe",
13 "creator_email": "john.doe@example.com",
14 "role": "admin"
15 },
16 "current_live_percentage": 0,
17 "parent_branch": {
18 "id": "string",
19 "name": "string"
20 },
21 "most_recent_versions": [
22 {
23 "id": "string",
24 "agent_id": "string",
25 "branch_id": "string",
26 "version_description": "string",
27 "seq_no_in_branch": 1,
28 "time_committed_secs": 1,
29 "parents": {
30 "in_branch_parent_id": "string",
31 "out_of_branch_parent_id": "string",
32 "merged_into_branch_id": "string",
33 "merged_from_branch_id": "string",
34 "merged_from_version_id": "string"
35 },
36 "access_info": {
37 "is_creator": true,
38 "creator_name": "John Doe",
39 "creator_email": "john.doe@example.com",
40 "role": "admin"
41 }
42 }
43 ]
44}
Update agent branch properties such as archiving status and protection level
Was this page helpful?
Previous

Merge agent branch

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
branch_idstringRequired
Unique identifier for the branch.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestring or nullOptional1-140 characters
New name for the branch. Must be unique within the agent.
is_archivedboolean or nullOptional
Whether the branch should be archived
protection_statusenum or nullOptionalDefaults to writer_perms_required
The protection level for the branch
Allowed values:

Response

Successful Response
idstring
namestring
agent_idstring
descriptionstring
created_atinteger
last_committed_atinteger
is_archivedboolean
protection_statusenumDefaults to writer_perms_required
Allowed values:
access_infoobject or null
Access information for the branch
current_live_percentagedoubleDefaults to 0
Percentage of traffic live on the branch
parent_branchobject or null
Parent branch of the branch
most_recent_versionslist of objects
Most recent versions on the branch

Errors

422
Unprocessable Entity Error